import 'package:comunic/utils/intl_utils.dart';
import 'package:flutter/material.dart';

/// Global search field
///
/// @author Pierre Hubert

const _MainSearchColor = Color(0xFF999990);

class GlobalSearchField extends StatefulWidget {
  @override
  _GlobalSearchFieldState createState() => _GlobalSearchFieldState();
}

class _GlobalSearchFieldState extends State<GlobalSearchField> {
  @override
  Widget build(BuildContext context) {
    return Padding(
      padding: const EdgeInsets.all(8.0),
      child: Material(
        color: Color(0xFF374850),
        borderRadius: BorderRadius.all(Radius.circular(5.0)),
        child: Padding(
          padding: const EdgeInsets.only(left: 8.0),
          child: TextField(
            textAlignVertical: TextAlignVertical.center,
            decoration: InputDecoration(
              hintText: tr("Search..."),
              hintStyle: TextStyle(color: _MainSearchColor),
              suffixIcon: Icon(
                Icons.search,
                color: _MainSearchColor,
              ),
              focusedBorder: InputBorder.none,
              border: InputBorder.none,
              alignLabelWithHint: false,
            ),
          ),
        ),
      ),
    );
  }
}
